Redmine - Defect #28233

IssuesPdfHelperTest fails when run in isolation
2018-02-22 11:23 - Gregor Schmidt

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

The IssuesPdfHelperTest test fails, when starting it in isolation. It's missing the neccessary fixture definitions. Depending on the
random test order, this might also lead to errors, when running the whole test suite.

Steps to reproduce:
RAILS_ENV=test rake db:drop db:create
rake db:test:prepare

ruby -Itest test/unit/lib/redmine/export/pdf/issues_pdf_test.rb

The attached patch adds the required fixture declarations and fixes the test failure.

Related issues:
Related to Redmine - Defect #12510: Issues PDF export: Spent time/Float-value... Closed

History

#1 - 2018-02-22 11:30 - Marius BALTEANU
- Related to Defect #12510: Issues PDF export: Spent time/Float-values aren't rounded to 2 digits added

#2 - 2018-02-22 11:31 - Marius BALTEANU

Thanks Gregor for finding and fixing this issue.

#3 - 2018-02-24 10:29 - Go MAEDA
- Category set to PDF export

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed as r17212. Thank you.
